Skip to Content
APIsResolve Name

Resolve Name

Resolve supported wallet name-service addresses into concrete wallet addresses.

Resolve Wallet Name

POSThttps://api.adesic.com/v2/blockchains/resolve-name

Resolves a supported name-service wallet address, such as an ENS name, into the raw wallet address that can be used in transaction wallet creation.

Headers

NameTypeDescription
apiKey*stringYour Adesic API Key

Request Body

NameTypeDescription
address*stringName-service wallet address to resolve.
blockchain*stringBlockchain for the address.

Response

{ "address": "0x742d35Cc6634C0532925a3b844Bc454e4438f44e", "alias": "vitalik.eth" }

Copy & Paste Code

resolve_name.sh
curl -X POST \ -H "Content-Type: application/json" \ -H "api-key: your-api-key" \ -d '{ "address": "vitalik.eth", "blockchain": "ethereum" }' \ https://api.adesic.com/v2/blockchains/resolve-name

Response Object

Attribute NameData TypeDescription
addressstringRaw wallet address resolved from the name-service address.
aliasstringOriginal name-service wallet address when resolution succeeds.

© Adesic LLC. All Rights Reserved